Deploy checklist for GlobalPreferences on production
Closed, ResolvedPublic

Related Objects

MaxSem created this task.Jan 3 2018, 9:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2018, 9:06 PM
Legoktm renamed this task from Deploy GlobalPreferences on WMF wikis to Deploy GlobalPreferences on Wikimedia wikis.Jan 3 2018, 9:20 PM
greg added a subscriber: greg.Jan 10 2018, 11:33 PM
TBolliger updated the task description. (Show Details)Feb 23 2018, 11:27 PM
Wiki13 added a subscriber: Wiki13.Feb 28 2018, 4:52 PM
Niharika updated the task description. (Show Details)Mar 3 2018, 12:01 AM

Change 420801 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Deploy GlobalPreferences to test wikis and mw.org

https://gerrit.wikimedia.org/r/420801

Change 420802 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/tools/release@master] Add GlobalPreferences

https://gerrit.wikimedia.org/r/420802

Change 420829 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@wmf/1.31.0-wmf.26] Add GlobalPreferences

https://gerrit.wikimedia.org/r/420829

Change 420830 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@wmf/1.31.0-wmf.25] Add GlobalPreferences

https://gerrit.wikimedia.org/r/420830

Change 420802 merged by jenkins-bot:
[mediawiki/tools/release@master] Add GlobalPreferences

https://gerrit.wikimedia.org/r/420802

Change 420829 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.26] Add GlobalPreferences

https://gerrit.wikimedia.org/r/420829

Change 420830 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.25] Add GlobalPreferences

https://gerrit.wikimedia.org/r/420830

Change 420801 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy GlobalPreferences to test wikis and mw.org

https://gerrit.wikimedia.org/r/420801

The above changes were reverted because we're still not ready, but quick testing indicated that the extension worked fine in production.

Niharika renamed this task from Deploy GlobalPreferences on Wikimedia wikis to Deploy checklist for GlobalPreferences on production.Apr 3 2018, 8:16 PM

Mentioned in SAL (#wikimedia-operations) [2018-04-11T22:47:49Z] <samwilson@tin> Synchronized wmf-config/InitialiseSettings.php: Deploy GlobalPreferences T184121 (duration: 01m 17s)

Nirmos added a subscriber: Nirmos.Apr 16 2018, 8:48 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-25T22:55:45Z] <samwilson@tin> Synchronized wmf-config/InitialiseSettings.php: Undeploy GlobalPreferences T184121 (duration: 01m 16s)

TBolliger closed this task as Resolved.May 18 2018, 12:11 PM
TBolliger moved this task from Epic backlog to Archive on the Community-Tech board.
TBolliger claimed this task.

I'm going to close this ticket as Resolved, we can continue with T189806: Deploy GlobalPrefs on production